
!Object methodsFor: '*MethodMassageCompatibility' stamp: 'cb 3/20/2017 14:03'!
isCompiledCode
	^ false! !

!BytecodeEncoder methodsFor: '*MethodMassageCompatibility-opcode sizing' stamp: 'eem 4/9/2013 12:06'!
sizeSpecialSend: specialSelectorIndex numArgs: nArgs
	^self sizeOpcodeSelector: #genSendSpecial:numArgs: withArguments: {specialSelectorIndex. nArgs}! !

!CompiledMethod methodsFor: '*MethodMassageCompatibility-accessing' stamp: 'cb 3/20/2017 14:06'!
isCompiledCode
	^ true! !

!EncoderForV3 methodsFor: '*MethodMassageCompatibility-bytecode generation' stamp: 'eem 4/9/2013 12:07'!
genSendSpecial: specialSelectorIndex numArgs: nArgs
	"See BlueBook page 596"
	self assert: (specialSelectorIndex between: 1 and: Smalltalk specialSelectorSize).
	self assert: nArgs = (Smalltalk specialNargsAt: specialSelectorIndex).
	"Special selector sends.
		176-191 	1011iiii 	Send Arithmetic Message #iiii
		192-207 	1100iiii 	Send Special Message #iiii"
	stream nextPut: specialSelectorIndex + 175! !
